---
Name: cloud-awscli-reconcile-instances
Description: Use AWS CLI to find and reconcile machines to backing instances
Documentation: |
  Designed to use an AWS CLI broker(s), this blueprint will call the
  AWS CLI `describe-instances` call in the `aws-scan-instances` task to
  collect information.

  If unknown machines are found, they are added to Digital Rebar.

  Operational Note: the range of AWS infrastructure that can be discovered
  is limited by the API key and region used when this is called.  This will
  likely require multiple AWSCLI brokers to be created for full coverage.

  Unlike Terraform drift detection, this process looks outside of know state for resources.

Tasks:
  - aws-scan-instances
Meta:
  icon: "amazon"
  color: "blue"
  title: RackN 2022
  flow-comment: Adds AWS machines if found
